Detailed requirements

A definitive checklist of prerequisites and dependencies you need to meet in order to install the BIOS to UEFI.

CategoryProductNotes

OS

Windows Server 2022
Windows Server 2019
Windows Server 2016
Windows Server 2012 R2
Windows 10 CB 21H2
Windows 11 CB 21H2
Windows 10 CB 21H1
Windows 10 CB 20H2
Windows 10 CB 2004
Windows 10 CB 1909
Windows 10 CB 1903
Windows 10 CB 1809
Windows 10 CB 1803
Windows 10 CB 1709
Windows 10 CB 1703
Windows 8.1

The 1E BIOS to UEFI installer (1EBiosToUefi.msi) and the Create 1E OEM Toolkit Package Wizard are run on the Configuration Manager (CM) site server. It is supported on Server 2012 R2 and Server 2016.

The installer should also be installed on any systems where the CM console is installed. In addition to the supported server versions identified above, the installer is supported on Windows 10 (up to and including 1803), Windows 8.1 and Windows 7 SP1.

Only 64-bit versions of these operating systems are supported. If the Console extensions are required on an x86 machine, simply copy the OneE_CustomControlTemplate.dll from Console Install Directory\BIN installed on another (x64) device, or run msixec /a 1EBiosToUefi.msi to extract the OneE_CustomControlTemplate.dll file and copy it to the Console Install Directory\BIN folder on the target x86 machine.

The executable files that are added to the OEM Toolkit Package and used in Windows PE during a Task Sequence are supported on Windows PE versions currently in support by Microsoft.

Database servers

N/A
There is no dependency on database servers.

Configuration Manager

SCCM CB 2111
SCCM CB 2107
SCCM CB 2103
SCCM CB 2010
SCCM CB 2006
SCCM CB 2002
SCCM CB 1910
SCCM CB 1906
SCCM CB 1902
SCCM CB 1810
SCCM CB 1806
SCCM CB 1802
SCCM CB 1710
You must:
  • Have Configuration Manager 1706 or later installed for a Windows 10 deployment

     

Web servers

N/A
There is no dependency on Web servers.

Runtime libraries

N/A
There is no dependency on runtime libraries.

Browsers

N/A
There is no dependency on browsers.

Others

  1. PowerShell
  2. Nomad
  1. PowerShell 4.0 or later must already be installed in order to run the installer (1EBiosToUefi.msi)
  2. A production instance of Nomad 6.2 or later is required to use the task sequence steps

Summary

OSRDBMSSCCMWeb serversRuntime librariesBrowsersOthers
Windows Server 2022
Windows Server 2019
Windows Server 2016
Windows Server 2012 R2
Windows 10 CB 21H2
Windows 11 CB 21H2
Windows 10 CB 21H1
Windows 10 CB 20H2
Windows 10 CB 2004
Windows 10 CB 1909
Windows 10 CB 1903
Windows 10 CB 1809
Windows 10 CB 1803
Windows 10 CB 1709
Windows 10 CB 1703
Windows 8.1
N/A
SCCM CB 2111
SCCM CB 2107
SCCM CB 2103
SCCM CB 2010
SCCM CB 2006
SCCM CB 2002
SCCM CB 1910
SCCM CB 1906
SCCM CB 1902
SCCM CB 1810
SCCM CB 1806
SCCM CB 1802
SCCM CB 1710
N/A
N/A
N/A
  • Nomad 6.2
  • PowerShell 4.0